Summary:	gedit - small but powerful text editor for X Window
Summary(pl.UTF-8):	gedit - mały ale potężny edytor tekstu dla X Window
Name:		gedit
Version:	3.8.2
Release:	1
License:	GPL v2
Group:		X11/Applications/Editors
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gedit/3.8/%{name}-%{version}.tar.xz
# Source0-md5:	672031ade67a302000ce1c85d895ce72
URL:		http://www.gnome.org/projects/gedit/
BuildRequires:	autoconf >= 2.63.2
BuildRequires:	automake >= 1:1.11
BuildRequires:	docbook-dtd412-xml
BuildRequires:	enchant-devel >= 1.2.0
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.35.4
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gnome-doc-utils >= 0.14.0
BuildRequires:	gobject-introspection-devel >= 0.10.0
BuildRequires:	gsettings-desktop-schemas-devel >= 3.2.0
BuildRequires:	gtk+3-devel >= 3.7.10
BuildRequires:	gtksourceview3-devel >= 3.2.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	iso-codes >= 0.35
BuildRequires:	libpeas-devel >= 1.7.0
BuildRequires:	libpeas-gtk-devel >= 1.7.0
BuildRequires:	libsoup-devel
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	pkgconfig
BuildRequires:	python3-devel >= 3.2.3
BuildRequires:	python3-pygobject3-devel >= 3.0.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	yelp-tools
BuildRequires:	zeitgeist-devel >= 0.9.12
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	glib2 >= 1:2.35.4
Requires:	gsettings-desktop-schemas >= 3.2.0
Requires:	gtk+3 >= 3.7.10
Requires:	iso-codes >= 0.35
Requires:	libpeas-loader-python3 >= 1.7.0
Requires:	python3-pycairo
Requires:	python3-pygobject3 >= 3.0.0
Obsoletes:	gedit-plugins < 2.3.3-2
# sr@Latn vs. sr@latin
Obsoletes:	gedit2
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	skip_post_check_so libgedit-private.so.0.0.0

%description
gedit is a small but powerful text editor for GTK+ and/or GNOME. It
includes such features as split-screen mode, a plugin API, which
allows gedit to be extended to support many features while remaining
small at its core, multiple document editing and many more functions.

%description -l pl.UTF-8
gedit jest małym ale potężnym edytorem tekstu dla GTK+ i/lub GNOME.
Zawiera takie funkcje jak tryb podzielonego ekranu, API dla "wtyczek",
który umożliwia rozszerzenie funkcji gedita o dodatkowe możliwości,
nie zwiększając rozmiarów samego programu, możliwość edycji wielu
dokumentów naraz i wiele innych.

%package devel
Summary:	gedit header files
Summary(pl.UTF-8):	Pliki nagłówkowe gedit
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtksourceview3-devel >= 3.2.0
Requires:	libpeas-devel >= 1.7.0
Requires:	libpeas-gtk-devel >= 1.7.0
Obsoletes:	gedit2-devel

%description devel
gedit header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe gedit.

%package apidocs
Summary:	gedit API documentation
Summary(pl.UTF-8):	Dokumentacja API gedit
Group:		Documentation
Requires:	gtk-doc-common
Obsoletes:	gedit2-apidocs

%description apidocs
gedit API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API gedit.

%prep
%setup -q

%build
%{__gtkdocize}
%{__libtoolize}
%{__intltoolize}
%{__aclocal} -I m4 -I libgd
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-updater \
	--enable-gtk-doc \
	--disable-static \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gedit/plugins/*.la \
	$RPM_BUILD_ROOT%{_libdir}/gedit/*.la

%py_postclean

%find_lang gedit --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%glib_compile_schemas

%postun
%update_desktop_database_postun
%glib_compile_schemas

%files -f gedit.lang
%defattr(644,root,root,755)
%doc README ChangeLog AUTHORS
%attr(755,root,root) %{_bindir}/gedit
%attr(755,root,root) %{_bindir}/gnome-text-editor
%dir %{_libdir}/gedit
%attr(755,root,root) %{_libdir}/gedit/libgedit-private.so
%dir %{_libdir}/gedit/plugins
%attr(755,root,root) %{_libdir}/gedit/gedit-bugreport.sh
%attr(755,root,root) %{_libdir}/gedit/plugins/*.so
%{_libdir}/gedit/plugins/*.plugin
%{_libdir}/gedit/plugins/externaltools
%{_libdir}/gedit/plugins/pythonconsole
%{_libdir}/gedit/plugins/snippets
%{_libdir}/gedit/plugins/quickopen
%dir %{_libdir}/gedit/girepository-1.0
%{_libdir}/gedit/girepository-1.0/Gedit-3.0.typelib
%{_datadir}/gedit
%{_datadir}/GConf/gsettings/gedit.convert
%{_datadir}/dbus-1/services/org.gnome.gedit.service
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.externaltools.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.filebrowser.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.filebrowser.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.pythonconsole.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.time.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.time.gschema.xml
%{_desktopdir}/gedit.desktop
%{_mandir}/man1/gedit.1*
%{py3_sitedir}/gi/overrides/*.py
%{py3_sitedir}/gi/overrides/__pycache__/*.py[co]

%files devel
%defattr(644,root,root,755)
%{_includedir}/gedit-3.0
%{_pkgconfigdir}/gedit.pc

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gedit
%changelog
* Sat May 25 2013 Marcin Banasiak <marcin.banasiak@gmail.com> b82cc98
Update to 3.8.2

* Wed Mar 27 2013 Łukasz Kieś <kiesiu@pld-linux.org> ff2a1fe
- updated to 3.8.0

* Sun Nov 18 2012 Łukasz Kieś <kiesiu@pld-linux.org> ffb0177
- updated to 3.6.2

* Wed Oct 17 2012 Łukasz Kieś <kiesiu@pld-linux.org> 84c687c
- updated to 3.6.1

* Tue Oct 02 2012 Marcin Banasiak <marcin.banasiak@gmail.com> f5a22f5
Updated to 3.6.0

* Wed Jun 06 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 06a5b74
- updated to 3.4.2

* Tue May 08 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 563cddf
- added obsoletes for subpackages
- release 2

* Tue May 08 2012 Caleb Maclennan <caleb@alerque.com> 30e2ce9
- Package renamed from gedit2 to gedit (currently v3+)

* Tue Apr 17 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 44303a4
- updated to 3.4.1

* Wed Mar 28 2012 Łukasz Kieś <kiesiu@pld-linux.org> 184bf1e
- updated to 3.4.0; merged from DEVEL

* Tue Jan 17 2012 Łukasz Kieś <kiesiu@pld-linux.org> c75e62c
- updated to 3.2.6

* Sun Dec 11 2011 Łukasz Kieś <kiesiu@pld-linux.org> 1b0a225
- updated to 3.2.5

* Tue Nov 15 2011 Łukasz Kieś <kiesiu@pld-linux.org> c3068d2
- updated to 3.2.3

* Sun Nov 13 2011 Łukasz Kieś <kiesiu@pld-linux.org> c30b7c0
- updated to 3.2.2

* Tue Oct 18 2011 Łukasz Kieś <kiesiu@pld-linux.org> f689303
- updated to 3.2.1

* Wed Sep 28 2011 Łukasz Kieś <kiesiu@pld-linux.org> ba3960d
- updated to 3.2.0; merged from DEVEL

* Fri Jul 01 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 666afcd
- updated to 3.0.6

* Sat Jun 18 2011 Łukasz Kieś <kiesiu@pld-linux.org> f2d7dc1
- updated to 3.0.5

* Wed Jun 01 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 1af5ebd
- updated to 3.0.4

* Thu May 26 2011 Łukasz Kieś <kiesiu@pld-linux.org> f5112bb
- updated to 3.0.3

